Get Route by ID
GET /v1/route/{route_id}
GET /v1/route/{route_id}Interactive request editor loads with JavaScript.
Path Parameters
route_id*string
Route ID.
Response Body
application/json
application/json
curl -X GET "http://127.0.0.1:9090/v1/route/string"OK
{
"priority": 0,
"uris": [
"/hello"
],
"id": "1",
"upstream": {
"scheme": "http",
"pass_host": "pass",
"nodes": [
{
"port": 1980,
"host": "127.0.0.1",
"weight": 1
}
],
"type": "roundrobin",
"hash_on": "vars"
},
"status": 1
}Route not found
{
"error_msg": "string"
}Complete operation details and schema variants
GET /v1/route/{route_id}
Get Route by ID
Get a route by ID.
Parameters
route_id(path, string, required): Route ID.
Responses
200: OK404: Route not founderror_msg(string, required):
cURL
curl -X GET 'http://127.0.0.1:9090/v1/route/{route_id}'